<script setup lang="ts">
  const placement = {
    top: 'top-0 left-0 transform -translate-y-full',
    topCenter: 'left-1/2 -top-10 -translate-x-1/2',
    bottom: 'inset-x-0 -bottom-10',
    right: 'inset-y-0 -right-25',
    left: 'inset-y-0 -left-25',
  };

  const props = withDefaults(
    defineProps<{
      content: string;
      position?: 'top' | 'right' | 'bottom' | 'left' | 'topCenter';
      width?: 'scales' | 'max-width';
      disabled?: boolean;
    }>(),
    {
      position: 'top',
      width: 'max-width',
      disabled: false,
    },
  );

  const contentWidth = props.width === 'scales' ? 'w-fit' : 'w-max';
</script>
<template>
  <div>
    <div class="group relative" :class="contentWidth">
      <slot />
      <div
        v-if="!disabled"
        :class="[
          'bg-background-dark group-hover:(visible opacity-100) pointer-events-none invisible absolute z-10 hidden h-max rounded-md px-2 py-1 text-white opacity-0 transition-opacity md:block',
          placement[position],
          contentWidth,
        ]"
      >
        <slot name="content">
          <span class="text-xs font-medium"> {{ content }}</span>
        </slot>
      </div>
    </div>
  </div>
</template>
